%define upstream_name Horde_Text_Filter_Csstidy
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.0
Release:     	%mkrel 2
Summary:    	Horde Authentication API
License:    	GPLv2
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Text_Filter <= 2.0.0 
Conflicts: 	php-pear-Horde_Text_Filter = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Text_Filter_Csstidy = %{version}

%description
The Horde_Text_Filter_Csstidy:: class provides the PHP-based library needed
to perform optimization/compression on CSS code. It is provided in a
separate package as the code is under the GPLv2 license instead of the
LGPLv2 license used for the Text_Filter class.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Text_Filter_Csstidy.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Text_Filter_Csstidy.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Text_Filter_Csstidy
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Text/Filter/Csstidy.php
%{peardir}/Horde/Text/Filter/Csstidy/class.csstidy.php
%{peardir}/Horde/Text/Filter/Csstidy/class.csstidy_optimise.php
%{peardir}/Horde/Text/Filter/Csstidy/class.csstidy_print.php
%{peardir}/Horde/Text/Filter/Csstidy/data.inc.php
%{xmldir}/Horde_Text_Filter_Csstidy.xml


%changelog
* Sat Aug 06 2011 spuhler <spuhler> 1.0.0-2.mga2
+ Revision: 132115
- changed Provides:php-pear-Horde_Text_Filter_Csstidy to php-pear-Horde_Text_Filter_Csstidy = %%{version)
- imported package php-pear-Horde_Text_Filter_Csstidy

